Back

Requirements

In order to use navigation with Kiox, Bluetooth must be enabled and Kiox must be connected to your smartphone.

The quality of the Bluetooth connection depends on the smartphone and the distance between the devices. Kiox and your smartphone should be as close as possible while riding. Also make sure your smartphone is in a location with good GPS reception.

In addition, check that you have the right software and have enabled location sharing.

Software requirements

To use the navigation function, the following software versions are required, as a minimum

  • Kiox: 3.0.1.0
  • eBike Connect Android: 8.0.0
  • eBike Connect iOS: 12.0.0

We recommend that you always use the latest software version.

Location sharing

Navigation with Kiox works best if you allow eBike Connect to use your location even when the app is in background mode:

  • For iOS, use the following setting: in Location, set the permission to Always. If you only want to use the navigation function, it is enough if you to set the permission for location sharing to While using the app.
  • For Android, use the following settings: if you have enabled geolocation, you should set the permission for location sharing to Always allow.

Tell a friend

Share link

Any questions?
We're happy to help.

Contact us

Help Center

Any questions?
We're happy to help.

Contact us